#[macro_export]
macro_rules! handler {
    ($v: vis $function_name: ident ($($param: ident: $type: ty),*), $message: literal, $next_state: expr, $next_func: ident) => {
        #[inline]
        $v async fn $function_name(
            bot: Throttle<Bot>,
            msg: Message,
            _: DatabaseConnection,
            dialogue: MainDialogue,
            $($param: $type,)*
        ) -> $crate::Result<()> {
            let previous = bot.send_message(msg.chat.id, $message).await?;
            dialogue
                .update($next_state(Handler::new(
                    move |bot, msg, db, dialogue, param| $next_func(bot, msg, db, dialogue, $($param,)* param),
                    &previous,
                )))
                .await?;
            Ok(())
        }
    };
}
